commit 924ae4d091
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Feb 21 10:19:35 2020 -0800

    EAP: Remove a couple of string length assumptions.
    
    Don't assume our MNC and MCC string lengths are > 3.
    
    Bug: 16397
    Change-Id: I0759dcb9d0c5f078cf3a98e9323d9cb741e15dd4
    Reviewed-on: https://code.wireshark.org/review/36146
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 8bda8642dfc8c9a870c6a48771566012353cc898)
    Reviewed-on: https://code.wireshark.org/review/36172

commit 4c896a642e
Author: Jason Cohen <j.cohen@f5.com>
Date:   Thu Feb 13 16:13:23 2020 -0600

    packet-lldp: Report only the consumed octets
    
    Allow unconsumed octets to be passed back to the caller so that possible
    trailer dissctors can be ran.
    
    Bug: 16387
    Change-Id: I289b4b077d40581d5d0f884e30c2f882d58fccf1
    Reviewed-on: https://code.wireshark.org/review/36097
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Jason Cohen <kryojenik2@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 9a5bb0705c292987db10c7872c379835ec7b5145)
    Reviewed-on: https://code.wireshark.org/review/36140

commit c868a95c97
Author: Jason Cohen <j.cohen@f5.com>
Date:   Thu Feb 13 15:25:33 2020 -0600

    packet-lacp: Report only the consumed octets
    
    Allow unconsumed octets to be passed back to the caller so that possible
    trailer dissctors can be ran.
    
    Bug: 16388
    Change-Id: I022fb2e714a687390259037ac2885751d24619f7
    Reviewed-on: https://code.wireshark.org/review/36096
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Jason Cohen <kryojenik2@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit a64d926ebf4c558d389355204945e1c0f0e8b02a)
    Reviewed-on: https://code.wireshark.org/review/36142

commit 8d458f58d1
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Feb 23 08:46:15 2020 +0000

    [Automatic update for 2020-02-23]
    
    Update manuf, services enterprise numbers, translations, and other items.
    
    Change-Id: I18b7a2d1a1e580f0440592c68153669a0a6ff710
    Reviewed-on: https://code.wireshark.org/review/36163
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 68a6a92bff
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Feb 22 20:35:43 2020 -0800

    Use "must" instead of "should" to avoid ambiguity.
    
    As I said in
    
        https://ask.wireshark.org/question/10361/how-to-properly-use-heuristic-dissector-for-tcp/?answer=10363#post-id-10363
    
      "Should" has multiple meanings; there's "Used to indicate obligation,
      duty, or correctness, typically when criticizing someone's actions.", as
      in "I think we should trust our people more", and there's "Used to
      indicate what is probable.", as in "the bus should arrive in a few
      minutes". You're reading it in the latter sense; it was intended in the
      former sense.
    
      That sentence should probably be changed to "Wireshark must be then set
      up..." to avoid the ambiguity.
    
    Make it so (over half a year later, sigh), and change another case where
    "should" is meant in the first sense while we're at it.
    
    Change-Id: I90198d1616619c75802deeeb703ceee0c8bac1bf
    Reviewed-on: https://code.wireshark.org/review/36155
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit c268e9b0d563cfd248fae611c06e39430e1bad6c)
    Reviewed-on: https://code.wireshark.org/review/36157

commit fba47a57c1
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Feb 16 08:46:45 2020 +0000

    [Automatic update for 2020-02-16]
    
    Update manuf, services enterprise numbers, translations, and other items.
    
    Change-Id: I1c532b22ce863d8c979e73e1b5b970392a471e1e
    Reviewed-on: https://code.wireshark.org/review/36118
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 3daba57466
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Feb 12 12:07:52 2020 -0800

    WiMax DLMAP: Fix a large loop.
    
    Make sure we advance our offset.
    
    Bug: 16383
    Ping-Bug: 16368
    Change-Id: I4949cb0988601dbe545d0bc22de4d654b4e61204
    Reviewed-on: https://code.wireshark.org/review/36085
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
    Petri-Dish: Gerald Combs <gerald@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 6dad599a8a1bda8b8e999cc4a7e460140e4ecc0a)
    Reviewed-on: https://code.wireshark.org/review/36093

commit dafbe54a2a
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Feb 9 08:46:17 2020 +0000

    [Automatic update for 2020-02-09]
    
    Update manuf, services enterprise numbers, translations, and other items.
    
    Change-Id: Ic814b1b9d81ebb7a19952de8f716d8246ac098d2
    Reviewed-on: https://code.wireshark.org/review/36062
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 135cf649b1
Author: Gerald Combs <gerald@wireshark.org>
Date:   Fri Feb 7 11:17:35 2020 -0800

    WiMax DLMAP: Add a length check.
    
    Make sure we have enough data for a CRC.
    
    Bug: 16368
    Change-Id: I03a2532061a5cf5e28cb65c83dd4ab90654d1679
    Reviewed-on: https://code.wireshark.org/review/36050
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 5c82699596
Author: Dr. Lars Völker <lars.voelker@technica-engineering.de>
Date:   Sun Feb 2 14:33:48 2020 +0100

    ISAKMP: Critical flag should not be in proposals and transforms
    
    IKEv2 added the critical flag to all payloads except payloads and
    transforms. The dissection code just checked that it was looking at
    IKEv1 but missed a check for proposals and transforms.
    
    Bug: 16364
    Change-Id: Ia9297af039fddf2da81f9712fdf7ac165fb2d86d
    Signed-off-by: Dr. Lars Völker <lars.voelker@technica-engineering.de>
    Reviewed-on: https://code.wireshark.org/review/36009
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 8c9efa5f1bc1f57b4293ea39b76c91548dc45121)
    Reviewed-on: https://code.wireshark.org/review/36014
    Reviewed-by: Anders Broman <a.broman58@gmail.com>

commit 231d498c0e
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Feb 2 08:46:36 2020 +0000

    [Automatic update for 2020-02-02]
    
    Update manuf, services enterprise numbers, translations, and other items.
    
    Change-Id: Ibf23a6017acf8cbb4faf5a43d3ceeb38111d1643
    Reviewed-on: https://code.wireshark.org/review/36007
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 8218a010a5
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Jan 31 16:39:37 2020 -0800

    Check for liblua-{version} as well as liblua{version}.
    
    FreeBSD packages install liblua-{version}.
    
    Change-Id: Ib28d2032a13baff9da42d61e3054a8b8e64b5cc9
    Reviewed-on: https://code.wireshark.org/review/35994
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 20e9652179221ec4e7399eae2bda2a1fff44cb36)
    Reviewed-on: https://code.wireshark.org/review/35996

commit ced4fe3b8c
Author: Orgad Shaneh <orgad.shaneh@audiocodes.com>
Date:   Wed Jan 29 09:05:45 2020 +0200

    RTP: Fix rtpdump export
    
    Broke by 87973bf516432756f6948e969dbe9d6aa8a27017.
    
    RtpStreamDialog allocates its own rtpstream_info_t, and copies the original stream's info.
    
    Then RtpStreamDialog::on_actionExportAsRtpDump_triggered calls
    rtpstream_save with this copy.
    
    On save, reset_tap_listeners is called, and it clears all the tree items,
    destroying the allocated copy *before* it is used for the actual export.
    
    Trace:
    1   rtpstream_info_free_all                             tap-rtp-common.c       104
    2   RtpStreamTreeWidgetItem::~RtpStreamTreeWidgetItem   rtp_stream_dialog.cpp  85
    3   RtpStreamTreeWidgetItem::~RtpStreamTreeWidgetItem   rtp_stream_dialog.cpp  86
    4   QTreeModel::clear()
    5   RtpStreamDialog::tapReset                           rtp_stream_dialog.cpp  309
    6   rtpstream_reset_cb                                  tap-rtp-common.c       172
    7   reset_tap_listeners                                 tap.c                  418
    8   cf_retap_packets                                    file.c                 2243
    9   rtpstream_save                                      rtp_stream.c           97
    10  RtpStreamDialog::on_actionExportAsRtpDump_triggered rtp_stream_dialog.cpp  515
    
    Bug: 16351
    Change-Id: I54d37a2c97997395936df94ee5481b0d6d198aed
    Reviewed-on: https://code.wireshark.org/review/35979
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit eb0dcc984f49e58bad3312290b1ee965097bc222)
    Reviewed-on: https://code.wireshark.org/review/35988

commit 6d84d87f2d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Mon Jan 27 15:46:24 2020 -0800

    Fix indentation.
    
    Change-Id: Ib80213ecb5c02d64f107706971c646decc601e8d
    Reviewed-on: https://code.wireshark.org/review/35967
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 0c112e2e242005437698961d41b6758c22cdbc7b)
    Reviewed-on: https://code.wireshark.org/review/35969

commit 178e3da1fc
Author: Dario Lombardo <lomato@gmail.com>
Date:   Fri Jan 10 15:42:58 2020 +0100

    Fix compilation with gcc-9.
    
    gcc-9 spotted some NULL pointer usages.
    
    Bug: 16319
    Change-Id: I3e4ac57705f1852c43299f5e924fc642a2c56a3a
    Reviewed-on: https://code.wireshark.org/review/35733
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 084a887a30b78a3f4f42aa35a15049c251adfcfa)
    Reviewed-on: https://code.wireshark.org/review/35965
    Reviewed-by: Guy Harris <guy@alum.mit.edu>

commit d00e6acc44
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jan 26 08:45:58 2020 +0000

    [Automatic update for 2020-01-26]
    
    Update manuf, services enterprise numbers, translations, and other items.
    
    Change-Id: I43bdde11c4b76c494a26cb20c990333a14d39bc6
    Reviewed-on: https://code.wireshark.org/review/35951
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit c5c740bce9
Author: Erwin Rol <erwin@erwinrol.com>
Date:   Sat Jan 11 17:14:44 2020 +0100

    rdm: Remove incorrect dissection of ack overflow data
    
    Ack overflow data was incorrectly dissected causing checksum errors. For now
    just display raw data.
    
    Change-Id: Icdd858bdbeeb4dd40e48c45fc46e5e188d53be69
    Signed-off-by: Erwin Rol <erwin@erwinrol.com>
    Reviewed-on: https://code.wireshark.org/review/35915
    Reviewed-by: Jaap Keuter <jaap.keuter@xs4all.nl>
    Petri-Dish: Jaap Keuter <jaap.keuter@xs4all.nl>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Pascal Quantin <pascal@wireshark.org>
    (cherry picked from commit 4f462bb6e3470ccb09b8da1efd4f133169aef03d)
    Reviewed-on: https://code.wireshark.org/review/35944
    Petri-Dish: Pascal Quantin <pascal@wireshark.org>

commit f4fa13fa7e
Author: Erwin Rol <erwin@erwinrol.com>
Date:   Tue Dec 24 10:52:37 2019 +0100

    artnet: Fix ArtPollReply universe calculation
    
    The SubSwitch field holds bit 7-4 of the 15bit port address, but
    it holds it in bit 3-0 so we have to shift it 4 bits instead of
    taking bit 7-4 of the SubSwitch field.
    
    Change-Id: I7841d64749e8a561e4ee928a23a3c46cb5be34cb
    Signed-off-by: Erwin Rol <erwin@erwinrol.com>
    Reviewed-on: https://code.wireshark.org/review/35910
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 824fef51aa3efc7a146ea57de90b1a6135614496)
    Reviewed-on: https://code.wireshark.org/review/35947
    Reviewed-by: Pascal Quantin <pascal@wireshark.org>

commit d134a1f19b
Author: João Valverde <joao.valverde@tecnico.ulisboa.pt>
Date:   Thu Jan 23 02:13:40 2020 +0000

    IPv4: Fix display of Fragment Offset field
    
    Bug: 16344
    Change-Id: I0fe0bec606a103e0cb96c6b6da0f98f9b12097b7
    Fixes: v3.1.0rc0-916-g237ec1349f ("IP: Make dissection of ip.frag_offset RFC 791 compliant")
    Reviewed-on: https://code.wireshark.org/review/35918
    Petri-Dish: João Valverde <j@v6e.pt>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Reviewed-on: https://code.wireshark.org/review/35928
    Reviewed-by: João Valverde <j@v6e.pt>

commit 873dca931a
Author: Pascal Quantin <pascal@wireshark.org>
Date:   Wed Jan 22 11:38:02 2020 +0100

    LTE RRC: fix a memory leak in composite TVB handling
    
    Bug: 16341
    Change-Id: Ib6c020ea3df8b39a02f742f0684fca7db96f1fc3
    Reviewed-on: https://code.wireshark.org/review/35899
    Petri-Dish: Pascal Quantin <pascal@wireshark.org>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Pascal Quantin <pascal@wireshark.org>
    (cherry picked from commit adeeb7f2da801303768ce96e2cacf6a703a69c6f)
    Reviewed-on: https://code.wireshark.org/review/35902

commit 7eeffae6db
Author: Pascal Quantin <pascal@wireshark.org>
Date:   Mon Jan 20 21:38:44 2020 +0100

    ICMP/ICMPv6: fix request/response tracking for checksum 0x0000
    
    Apply the change proposed by Chris Maynard in
    https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=16334
    
    Bug: 16334
    Change-Id: I91d79d992c107ca4ddaa17c25c3629424cc240f6
    Reviewed-on: https://code.wireshark.org/review/35878
    Petri-Dish: Pascal Quantin <pascal@wireshark.org>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Reviewed-on: https://code.wireshark.org/review/35883
    Reviewed-by: Pascal Quantin <pascal@wireshark.org>

commit b790b77177
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Jan 19 08:45:48 2020 +0000

    [Automatic update for 2020-01-19]
    
    Update manuf, services enterprise numbers, translations, and other items.
    
    Change-Id: I3d84b2a94f34698b51d33d99dba6ab458881dcbc
    Reviewed-on: https://code.wireshark.org/review/35865
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit f8e92a21fb
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Sat Jan 18 20:03:02 2020 +0100

    Qt: Support ampersand in profile name
    
    An ampersand in the menu item text is used as shortcut, so use "&&" to
    get a real ampersand.
    
    Change-Id: Iea1e10f23db582cded83182778be815cfeece7bd
    Reviewed-on: https://code.wireshark.org/review/35861
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    Reviewed-by: Stig Bjørlykke <stig@bjorlykke.org>

commit 8b75c3cc43
Author: Jaap Keuter <jaap.keuter@xs4all.nl>
Date:   Thu Jan 16 22:21:37 2020 +0100

    DOC: Remove lingering references to autotools
    
    In the README.plugins file there is still mention of autotools related items.
    This change removes those lingering references.
    
    Change-Id: I1fc7c6d478a6fc8bbe9481178d9f673aaebcad9f
    Reviewed-on: https://code.wireshark.org/review/35843
    Reviewed-by: Jaap Keuter <jaap.keuter@xs4all.nl>
    Petri-Dish: Jaap Keuter <jaap.keuter@xs4all.nl>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 597ca8aa384ab471f44708c4d34bb1bf06831625)
    Reviewed-on: https://code.wireshark.org/review/35848

commit 0eef7f3a48
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Jan 15 22:14:16 2020 +0100

    lapdm(.h): fix duplicate include guard (found by lgtm.com)
    
    Change-Id: I3cf4d30f5e91b6182c64b7f016e03d63aa1066d0
    Reviewed-on: https://code.wireshark.org/review/35829
    Petri-Dish: Guy Harris <guy@alum.mit.edu>
    Tested-by: Petri Dish Buildbot
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 3e072f1bc9d89c070b1e8a81e8fffcd11fa19cbd)
    Reviewed-on: https://code.wireshark.org/review/35833

commit 36ba3c3616
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Jan 15 12:35:08 2020 -0800

    3.0.8 → 3.0.9.
    
    Change-Id: I19e7def80b219ab39701662477aad6972b878804
    Reviewed-on: https://code.wireshark.org/review/35826
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
